> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omniall.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get result

> Poll Omni video task.

**Path:** `GET https://api.omniall.ai/v1/videos/{task_id}`



## OpenAPI

````yaml openapi/google-omni-video.yaml GET /v1/videos/{task_id}
openapi: 3.1.0
info:
  title: Omniall AI — Google Omni video
  version: 1.0.0
  description: >-
    Google Omni async video via OpenAI-style Video API.


    **Create:** `POST https://api.omniall.ai/v1/videos`


    **Poll:** `GET /v1/videos/{task_id}`


    Models: `omni-fast` (text / image / first-last frame), `omni-fast-v2v`
    (video reference).


    Auth: `Authorization: Bearer sk-...`
servers:
  - url: https://api.omniall.ai
security: []
paths:
  /v1/videos/{task_id}:
    get:
      tags:
        - Google Omni
      summary: Get result
      description: |-
        Poll Omni video task.

        **Path:** `GET https://api.omniall.ai/v1/videos/{task_id}`
      operationId: googleOmniGetVideo
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            example: Bearer sk-...
        - name: task_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Task status
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VideoTask'
              examples:
                completed:
                  summary: Completed
                  value:
                    id: task_xxxxxxxx
                    task_id: task_xxxxxxxx
                    object: video
                    model: omni-fast
                    status: completed
                    progress: 100
                    video_url: https://cdn.example.com/out.mp4
components:
  schemas:
    VideoTask:
      type: object
      properties:
        id:
          type: string
        task_id:
          type: string
        object:
          type: string
        model:
          type: string
        status:
          type: string
        progress:
          type: integer
        created_at:
          type: integer
        completed_at:
          type: integer
        video_url:
          type: string
        error:
          type: object

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.